Bug 967140 - [abrt] midori-0.4.7-2.fc18: g_type_check_instance_is_a: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.7-2.fc18: g_type_check_instance_is_a: Process /usr/bin/mido...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:fbbdff70a4286ce7b847c0391db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 18:16 EDT by Marek Suchánek
Modified: 2014-02-05 16:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:31:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.31 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: core_backtrace (4.77 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: dso_list (19.62 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: environ (1.42 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: maps (66.40 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: open_fds (2.58 KB, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: proc_pid_status (797 bytes, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: var_log_messages (388 bytes, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details
File: xsession_errors (317 bytes, text/plain)
2013-05-24 18:16 EDT, Marek Suchánek
no flags Details

  None (edit)
Description Marek Suchánek 2013-05-24 18:16:01 EDT
Description of problem:
In Midori preferences, I unchecked the "Close Buttons on Tabs" option; then the application crashed. However, I cannot reproduce this.

Version-Release number of selected component:
midori-0.4.7-2.fc18

Additional info:
backtrace_rating: 3
cmdline:        midori
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/midori
kernel:         3.9.2-200.fc18.i686.PAE
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_a at gtype.c:3964
 #1 gtk_tree_model_iter_nth_child at gtktreemodel.c:1301
 #2 tab_panel_settings_notify_cb at ../extensions/tab-panel.c:284
 #3 g_cclosure_marshal_VOID__PARAM at gmarshal.c:1042
 #9 g_object_notify_queue_thaw at gobject.c:291
 #10 g_object_set_valist at gobject.c:1958
 #11 g_object_set at gobject.c:2058
 #12 proxy_toggle_button_toggled_cb at ../katze/katze-utils.c:52
 #18 gtk_toggle_button_toggled at gtktogglebutton.c:365
 #19 gtk_toggle_button_clicked at gtktogglebutton.c:498
Comment 1 Marek Suchánek 2013-05-24 18:16:04 EDT
Created attachment 752886 [details]
File: backtrace
Comment 2 Marek Suchánek 2013-05-24 18:16:07 EDT
Created attachment 752887 [details]
File: cgroup
Comment 3 Marek Suchánek 2013-05-24 18:16:10 EDT
Created attachment 752888 [details]
File: core_backtrace
Comment 4 Marek Suchánek 2013-05-24 18:16:13 EDT
Created attachment 752889 [details]
File: dso_list
Comment 5 Marek Suchánek 2013-05-24 18:16:16 EDT
Created attachment 752890 [details]
File: environ
Comment 6 Marek Suchánek 2013-05-24 18:16:19 EDT
Created attachment 752891 [details]
File: limits
Comment 7 Marek Suchánek 2013-05-24 18:16:23 EDT
Created attachment 752892 [details]
File: maps
Comment 8 Marek Suchánek 2013-05-24 18:16:28 EDT
Created attachment 752893 [details]
File: open_fds
Comment 9 Marek Suchánek 2013-05-24 18:16:32 EDT
Created attachment 752894 [details]
File: proc_pid_status
Comment 10 Marek Suchánek 2013-05-24 18:16:35 EDT
Created attachment 752895 [details]
File: var_log_messages
Comment 11 Marek Suchánek 2013-05-24 18:16:38 EDT
Created attachment 752896 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 08:42:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:31:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.